import { BaseApiServer } from "@/apis/BaseApiServer";
import { SDKInitConfig } from "@/types";
export type SessionStatus = "active" | "ended";
interface SessionInfoRequestParams {
    status: SessionStatus;
    sessionId: string;
    page: string;
}
interface CustomEventRequestParams {
    event: string;
    properties?: {
        [key: string]: string;
    };
    page: string;
    sessionId: string;
}
export declare class EventServer extends BaseApiServer {
    constructor(sdkInitConfig: SDKInitConfig);
    private _sendEvent;
    sendSessionInfo(params: SessionInfoRequestParams): Promise<void>;
    collectCustomEvent(params: CustomEventRequestParams): Promise<void>;
}
export {};
